.RequestResults_root {
  margin-top: 89px;
}

.RequestResults_results {
  display: flex;
}

.RequestResults_left {
  flex: 0 0 840px;
  overflow: hidden;
  padding-bottom: 49px;
}

.RequestResults_bottom-sticky {
  position: sticky;
  bottom: 0;
}

.RequestResults_bottom-left {
  flex: 0 0 840px;
  position: relative;
}

.RequestResults_page-bar {
  position: absolute;
  bottom: 0;
  background-color: white;
  height: 50px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  /* box-shadow: 0 -6px 7px -7px var(--border-default); */
}

.RequestResults_right {
  width: unset !important;
  height: unset !important;
  position: unset !important;
  top: unset !important;
  visibility: unset !important;
  flex: 1 1 auto;
}

.RequestResults_bottom-right {
  flex: 1 1 auto;
  position: relative;
}

.RequestResults_right-add-button {
  position: absolute !important;
  bottom: 15px !important;
  right: 15px !important;
  z-index: 10 !important;
  height: 50px;
  width: 50px;
  background-color: #6ab3c0 !important;
  box-shadow: 0 0 7px var(--border-default);
  border-radius: 24px;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  display: flex;
  transition: all 0.3s;
  text-decoration: none;
}

.RequestResults_right-add-button:hover {
  background-color: #48f531;
}

.RequestResults_right-add-button span {
  font-weight: bold;

  font-size: 25px;

  color: white;
}

.RequestResults_right_sticky {
  position: sticky;
  top: var(--navigation-bar-offset, 89px) !important;
  height: var(--gp-placement-max-height, 'auto') !important;
  width: 100%;
}

.RequestResults_map {
  width: 100%;
  height: 100%;
}

.RequestResults_marker {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 30px;
  border: 1px solid white;
  background-color: white;
  border-radius: 15px;
  transition: all 0.3s;
  box-shadow: 0 0 3px var(--border-default);
  cursor: pointer;
}

.RequestResults_marker:hover {
  border: 1px solid var(--accent-default);
  box-shadow: 0 0 3px var(--accent-default);
  transform: scale(1.1);
}

.RequestResults_marker span {
  font-size: 16px;
  color: var(--font-default) !important;
  padding: 5px 10px !important;
  font-family: 'Poppins-Medium' !important;
}

.RequestResults_iw {
  border-right: 1px solid rgb(118, 129, 168);
  border-bottom: 1px solid rgb(118, 129, 168);
}

.RequestResults_iw-content {
  padding: 10px;
  max-width: 400px;
  background-color: white;
}

.RequestResults_iw-title-box {
  display: flex;
  text-decoration: none;
  font-size: 20px;
  overflow: hidden;
}

.RequestResults_iw-state {
  color: #6ab3c0;
  margin-right: 8px;
  white-space: nowrap;
}

.RequestResults_iw-title {
  color: #2c2c2c;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.RequestResults_iw-condition {
  margin-top: 0px;
  display: flex;
  align-items: center;
}

.RequestResults_iw-condition > span {
  flex: 0 0 auto;
  margin: 5px 10px 5px 0px !important;
  border-radius: 16px;
  padding: 4px 7px;
  font-size: 14px;
  border: 1px solid #eff0f3;
  background-color: #eff0f3;
  color: black;
}

.RequestResults_iw-suggest-N {
  border: 1px solid #ff005c !important;
  color: #ff005c !important;
  background-color: transparent;
}

.RequestResults_iw-suggest-O {
  border: 1px solid #6ab3c0 !important;
  color: #6ab3c0 !important;
  background-color: transparent !important;
}

.RequestResults_toggle {
  position: fixed !important;
  bottom: 60px !important;
  z-index: 10 !important;
  left: 50% !important;
  transform: translateX(-50%);
  height: 48px;
  border: 1px solid var(--font-default);
  background-color: var(--font-default);
  box-shadow: 0 0 7px var(--border-default);
  border-radius: 24px;
  padding: 0px 20px;
  cursor: pointer;
  display: none;
  align-items: center;
}

.RequestResults_toggle:hover {
  transform: translateX(-50%) scale(1.03);
}

.RequestResults_toggle span {
  font-weight: bold;
  color: white;
}

.RequestResults_page-menu {
  position: absolute;
  right: 0;
}

.RequestResults_long-button {
  color: var(--font-default);
}

.RequestResults_prd-paging {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
  font-size: 18px;
  color: #939393;
}

.RequestResults_pageNum {
  color: var(--font-default);
  transition: all 0.3s;
  cursor: pointer;
  margin: 0 3px;
}

.RequestResults_pageNum:hover {
  color: var(--accent-default);
}

.RequestResults_selected {
  color: var(--accent-default);
  font-weight: bold;
}

.RequestResults_pageNum-box {
  display: flex;
  align-items: center;
  height: 29px;
  border-radius: 100px;
  transition: 0.3s;
  padding: 0 7px;
}

.RequestResults_pageNum-box span {
  padding-top: 2px;
}

.RequestResults_pageNum-box:hover {
  background-color: var(--accent-default);
  color: white;
}

@media screen and (max-width: 1440px) {
  .RequestResults_left,
  .RequestResults_bottom-left {
    flex: 1 1 auto;
  }

  .RequestResults_right,
  .RequestResults_bottom-right {
    flex: 0 0 600px;
  }
}

@media screen and (max-width: 1000px) {
  .RequestResults_hidden {
    display: none;
  }

  .RequestResults_toggle {
    display: flex;
  }

  .RequestResults_right,
  .RequestResults_bottom-right {
    flex: 1 1 auto;
  }
}
